Why is Scatter Desktop not working from Firefox, Safari or Edge?

This was a known issue and Scatter Desktop now supports Firefox, Safari, and Edge from version 9.2.0. If you have a version older than this, you need to update.

Applications will also need to update their version of the Scatter SDKs to complete support for all browsers so it might take a bit for all applications to become compliant. If you find that your app provider has not updated, please contact them directly.